<?php
/**
 * @Packge     : Energiso
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $energisoerrortitle   = energiso_opt( 'energiso_fof_error_number' );
        $energiso404title     = energiso_opt( 'energiso_fof_title' );
        $energiso404subtitle  = energiso_opt( 'energiso_fof_subtitle' );
        $energiso404btntext   = energiso_opt( 'energiso_fof_btn_text' );
        $energiso404image     = energiso_opt( 'energiso_404_img', 'url' );
    } else {
        $energisoerrortitle   = __( '404', 'energiso' );
        $energiso404title     = __( 'Ooops, Page Not Found', 'energiso' );
        $energiso404subtitle  = __( 'The page you\'ve requested is not available.', 'energiso' );
        $energiso404btntext   = __( 'Return To Home', 'energiso' );
        $energiso404image     = get_template_directory_uri(). '/assets/img/404.png';
    }


    // get header
    get_header();

    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sup'       => array(),
        'sub'       => array(),
    );

    echo '<section class="vs-error-wrapper space">';
        echo '<div class="container">';
            echo '<div class="row flex-row-reverse text-center text-xl-start">';
                if( ! empty( $energiso404image ) ){
                    echo '<div class="col-xl-6 col-xxl-7 text-xl-end">';
                        echo '<div class="error-img">';
                            echo energiso_img_tag( array(
                                'url'   => esc_url( $energiso404image ),
                                )
                            );
                        echo '</div>';
                    echo '</div>';
                }
                echo '<div class="col-xl-6 col-xxl-5 align-self-center">';
                    echo '<div class="error-content">';
                        if( ! empty( $energisoerrortitle ) ){
                            echo '<h1 class="error-title">'.wp_kses( $energisoerrortitle, $allowhtml ).'</h1>';
                        }
                        if( ! empty( $energiso404title ) ){
                            echo '<h2 class="error-title2">'.esc_html( $energiso404title ).'</h2>';
                        }
                        if( ! empty( $energiso404subtitle ) ){
                            echo '<p class="error-text">'.esc_html( $energiso404subtitle ).'</p>';
                        }
                        echo '<form action="'.esc_url( home_url('/') ).'" class="search-inline">';
                            echo '<input name="s" type="text" class="form-control" placeholder="'.esc_attr__( 'Enter Your Keyword...', 'energiso' ).'">';
                            echo '<button type="submit"><i class="far fa-search"></i></button>';
                        echo '</form>';
                        if( ! empty( $energiso404btntext ) ){
                            echo '<a href="'.esc_url( home_url('/') ).'" class="vs-btn"><i class="fas fa-home me-2 pe-1"></i>'.esc_html( $energiso404btntext ).'</a>';
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    echo '</section>';

    //footer
    get_footer();